var x = window.x || {};
x.creat = function (t, b, c, d,e) {
    this.t = t;
    this.b = b;
    this.c = c;
    this.d = d;
    this.op = 1;
    this.div = document.createElement("div");

    this.div.style.backgroundImage = "url(images/img-1.JPG)";

    this.div.style.paddingtop = "31px";
    this.div.style.paddingright = "11px";
    this.div.style.paddingbottom = "11px";
    this.div.style.paddingleft = "11px";


    this.div.style.height = "151px";
    this.div.style.width = "312px";

    this.div.style.position = "absolute";
    this.div.style.left = "50%";
    this.div.style.marginLeft = "-50px"
    this.div.style.marginTop = "-20px"
    this.div.innerText = e
    this.div.style.fontSize = "12"
    this.div.style.lineHeight = this.div.style.height
    this.div.style.textAlign = "center";
    this.div.style.fontWeight = "bold";
    //this.div.style.border="solid red 1px"; 
    this.div.style.color = "#000000"
    this.div.style.top = (this.b + "%");
    document.body.appendChild(this.div);
    this.run();
}
x.creat.prototype = {
    run: function () {
        var me = this;
        this.div.style.top = -this.c * (this.t / this.d) * (this.t / this.d) + this.b + "%";
        this.t++;
        this.q = setTimeout(function () { me.run() }, 25)
        if (this.t == this.d) {
            clearTimeout(me.q);
            setTimeout(function () { me.alpha(); }, 1000);
        }
    },
    alpha: function () {
        var me = this;
        if ("\v" == "v") {
            this.div.style.filter = "progid:DXImageTransform.Microsoft.Alpha(opacity=" + this.op * 100 + ")";
            this.div.style.filter = "alpha(opacity=" + this.op * 100 + ")";
            ;
        }
        else { this.div.style.opacity = this.op }
        this.op -= 0.02;
        this.w = setTimeout(function () { me.alpha() }, 25)
        if (this.op <= 0) {
            clearTimeout(this.w);
            document.body.removeChild(me.div);
        }
    }
}